Bug 135812 - Calc, Writer: No Help button provided on Manage Changes dialog
Summary: Calc, Writer: No Help button provided on Manage Changes dialog
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Rafael Lima
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks: Help-Link Manage-Changes-Dialog
  Show dependency treegraph
 
Reported: 2020-08-16 19:28 UTC by Steve Fanning
Modified: 2022-03-02 13:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Fanning 2020-08-16 19:28:26 UTC
Description:
Most dialogs in Calc provide a Help button which, when clicked, takes the user to view a context sensitive page within the Help system.

The absence of such a button on this dialog is inconsistent, if not overly problematic.

Steps to Reproduce:
Select Edit > Track Changes > Manage on the Menu bar and inspect the layout of the Manage Changes dialog. Expect to see Help button, as on most other Calc dialog boxes.

Actual Results:
No Help button is provided.

Expected Results:
Not applicable


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.2 (x64)
Build ID: c01aa64b6c3d89ebe5fe69c28c7adb24eb85249c
CPU threads: 6; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: en-GB (en_GB); UI: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2020-08-19 08:10:52 UTC
Confirmed with:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: c10ea0e903ee2aba126087fc81702233b3a509cf
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

This is common problem with Writer which uses the same dialog.

There is however a page (with subpages for the two tabs) that could be linked up here nicely:

https://help.libreoffice.org/7.1/en-US/text/shared/01/02230400.html?&DbPAR=SHARED&System=WIN
Comment 2 Commit Notification 2022-01-20 22:26:16 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/b14288f63c5147754507f085642ddbe512f9e9a8

tdf#135812 Add target HIDs for Manage Changes dialog
Comment 3 Dieter 2022-02-26 10:05:19 UTC
Tested with

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c856f9bec12d98ed49f01578ded79f16ae7be051
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

Help button is present in writer (haven't tested in Calc), but there is no target ("Could not find Help page (404)", although we have https://help.libreoffice.org/7.4/en-GB/text/shared/01/02230400.html?&DbPAR=SHARED&System=WIN
Comment 4 Rafael Lima 2022-02-28 22:07:55 UTC
> Help button is present in writer (haven't tested in Calc), but there is no
> target ("Could not find Help page (404)", although we have
> https://help.libreoffice.org/7.4/en-GB/text/shared/01/02230400.
> html?&DbPAR=SHARED&System=WIN

True... a patch fixing this is already in Gerrit for review.

https://gerrit.libreoffice.org/c/help/+/130679
Comment 5 Commit Notification 2022-03-02 13:10:48 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/e9096610a179d357f0b289b6b6e788421b37b579

tdf#135812 Add help ID targets for the Manage Changes dialog